function params = getDefaultParamsFit
% getDefaultParamsFit get default values for ParamsFit
%
% Example:
%   params = getDefaultParamsFit;
%
% ParamsFit: Localization Parameters 
%
% Fields:
%        FitSigma: 0
%      Iterations: 10
%     MaxCudaFits: 100000
%        PSFSigma: 1.3900
%         BoxSize: 11.3400

 params.FitSigma = false;
 params.Iterations = 10;
 params.MaxCudaFits = 100000;
 params.PSFSigma=1.39;
 params.BoxSize=3*(2*params.PSFSigma+1);
 end

